#!/bin/bash

TARGET=target
SRC=src

# clean
rm -rf $TARGET
# prep output
mkdir $TARGET

# find all protocol buffer files in src directory
#PROTO_FILES=`find src -name *.proto`
PROTO_FILES=src/client_container.proto

# make variables available to sub-scripts
export SRC TARGET PROTO_FILES

set -e

# cpp/java/python supported by protoc
./build_protoc
# ruby supported by rprotoc
./build_rprotoc
# c supported by protoc-c
./build_protoc-c
